Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

My Server Won't Run The Factions Plugin (1.6.4)

faction problem

  • Please log in to reply
24 replies to this topic

#1

dragonpie7124

Posted 28 September 2013 - 03:13 PM

My bukkit 1.6.4 wont run the factions plugin. I have the right version of mcore and is installed as well.

Error Message:
[SEVERE] Could not load 'plugins/mcore.jar' in folder 'plugins'
org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/massivecraft/mcore/MCore : Unsupported major.minor version 51.0
at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:184)
at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:305)
at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:230)
at org.bukkit.craftbukkit.v1_6_R3.CraftServer.loadPlugins(CraftServer.java:239)
at org.bukkit.craftbukkit.v1_6_R3.CraftServer.<init>(CraftServer.java:217)
at net.minecraft.server.v1_6_R3.PlayerList.<init>(PlayerList.java:56)
at net.minecraft.server.v1_6_R3.DedicatedPlayerList.<init>(SourceFile:11)
at net.minecraft.server.v1_6_R3.DedicatedServer.init(DedicatedServer.java:107)
at net.minecraft.server.v1_6_R3.MinecraftServer.run(MinecraftServer.java:393)
at net.minecraft.server.v1_6_R3.ThreadServerApplication.run(SourceFile:583)
Caused by: java.lang.UnsupportedClassVersionError: com/massivecraft/mcore/MCore : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at org.bukkit.plugin.java.PluginClassLoader.findClass0(PluginClassLoader.java:80)
at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:53)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:249)
at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:173)
... 9 more
11:06:08 [SEVERE] Could not load 'plugins/Factions.jar' in folder 'plugins'
org.bukkit.plugin.UnknownDependencyException: mcore
at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:195)
at org.bukkit.craftbukkit.v1_6_R3.CraftServer.loadPlugins(CraftServer.java:239)
at org.bukkit.craftbukkit.v1_6_R3.CraftServer.<init>(CraftServer.java:217)
at net.minecraft.server.v1_6_R3.PlayerList.<init>(PlayerList.java:56)
at net.minecraft.server.v1_6_R3.DedicatedPlayerList.<init>(SourceFile:11)
at net.minecraft.server.v1_6_R3.DedicatedServer.init(DedicatedServer.java:107)
at net.minecraft.server.v1_6_R3.MinecraftServer.run(MinecraftServer.java:393)
at net.minecraft.server.v1_6_R3.ThreadServerApplication.run(SourceFile:583)

Plugins Installed:
DisguiseCraft
EndlessEnchant
Essentials
EssentialsAntiBuild
EssentialsChat
EssentialsProtect
EssentialsSpawn
iControlU
Modifyworld
Multiworld
PermissionsEx
RPGItems
WorldEdit
Factions
mcore


I don't know what I'm doing wrong. Is there like a plugin that Factions isn't compatible with?

Register or log in to remove.

#2

Rmarmorstein
  • Location: New Hampshire
  • Minecraft: Rmarmorstein
  • Xbox:DSyR x River
  • PSN:eliteriver

Posted 28 September 2013 - 04:18 PM

mCore is not loading. Try downloading and installing the latest version, it can be found on their bukkitdev page here.

Please Quote me If you are Expecting a Reply!

Rmarmorstein | Retired Staff  | Check out my Server Ghost-Realms!

Follow me: @Rmarmorstein


#3

dragonpie7124

Posted 28 September 2013 - 05:46 PM

I did that and mcore as well as factions still aren't loading. Also, now disguisecraft and endlessenchant aren't working.

#4

HonorMC
    HonorMC

    Stone Miner

  • Members
  • 78 posts

Posted 30 September 2013 - 04:05 AM

Factions had been messed up, a lot of servers can't use it anymore. Maybe try in a couple of days.

#5

nightcrawler601
  • Location: Scotland, Glasgow
  • Minecraft: nightcrawler601

Posted 30 September 2013 - 09:52 AM

You're probably using java 6, mind upgrading it to java 7? Also try checking your plugins if they're compatible with your servers version...

Hope this helped.

#6

dragonpie7124

Posted 01 October 2013 - 11:43 PM

I have Java 7 and i got disguisecraft and endlessenchant back but factions and mcore arent working still

#7

greendroid10

Posted 03 October 2013 - 09:54 PM

I have the EXACT same problem and the EXACT same plugins WON'T load endlessenchant, factions, and disguise craft aren't working YES I have java 7 I have 1.6.4, and a 1.6.4 server and they won't work. I have been trying to re-download them for a LONG time and it still doesn't work

Thanks in advance! =)

#8

StealthBravo
    StealthBravo

    The Grim Reaperator

  • Sectional Moderator
  • 3455 posts
  • Location: Michigan
  • Minecraft: StealthBravo

Posted 03 October 2013 - 11:18 PM

Make sure you're running Factions v2.2.2 and MCore v6.8.1. If you're running MCPC+, Factions will not work at all.

I can't really suggest anything besides that. There's no reason that it shouldn't be working if you're on the correct versions of everything. If it still doesn't work after upgrading, file a ticket.

#9

greendroid10

Posted 03 October 2013 - 11:30 PM

Like I said I tried re-downloading it so I HAD the lasted version. But I do have a question do you NEED mcore for this to work? cus i do't have that
thanks!

#10

Fatcatminecraft

Posted 05 October 2013 - 11:36 AM

Currently, as far as I am aware.... Factions has some bugs right now since the 1.6.2 update....

#11

dragonpie7124

Posted 05 October 2013 - 02:40 PM

Ok, so apparently I was using the 1.6.2 faction and mcore. When I moved my server back to 1.6.2, it was fine like factions and mcore were working as well as disguisecraft and endlessenchant.

#12

dragonpie7124

Posted 05 October 2013 - 02:46 PM

YES I got it to work. Turns out i was using factions 2.2.1 but mcore 6.7. I also figured out that EndlessEnchant is still not loading. My prediction is that it is not compatible with Factions and Mcore. I had to switch to EnchantmentAPI. Thanks for all your help guys!

#13

Wavef0rce

Posted 05 October 2013 - 03:04 PM

what Combinations of factions and mcore did you use to get it to work

can you help me get it to work XD

#14

dragonpie7124

Posted 05 October 2013 - 06:38 PM

Wave I used Factions 2.2.1 and MCore 6.8.1

#15

greendroid10

Posted 05 October 2013 - 06:49 PM

Thanks guys but I guess that means its back to 1.6.2! oh well at least it works!

Thanks again

#16

xXShadowRealmXx

Posted 06 October 2013 - 06:45 PM

I Checked On Factions Download On Bukkit And There Is No 1.6 4 availible

i mean 2.2.2

#17

qtpriest
    qtpriest

    Support Guru

  • Members
  • 878 posts
  • Minecraft: stunseed

Posted 06 October 2013 - 08:17 PM

factions for 1.6.4
http://dev.bukkit.or...-1-mcore-6-8-x/

compatible MCORE
http://dev.bukkit.or...26-mcore-6-8-1/
the earth first! we can strip mine the rest of the universe after. click the up arrow if i helped.
Be A part of a great server! connect with Theofficialmcserver.com

Posted Image

#18

dragonpie7124

Posted 08 October 2013 - 02:00 AM

wait what the hell, I run 2 servers, 1 on mac and one on windows. The one on windows work but the mac one doesnt....
Can anybody help?

#19

iceraider961

Posted 08 October 2013 - 08:39 PM

View Postdragonpie7124, on 08 October 2013 - 02:00 AM, said:

wait what the hell, I run 2 servers, 1 on mac and one on windows. The one on windows work but the mac one doesnt....
Can anybody help?
it's just that Mac sucks that's all



#20

qtpriest
    qtpriest

    Support Guru

  • Members
  • 878 posts
  • Minecraft: stunseed

Posted 08 October 2013 - 08:54 PM

View Postdragonpie7124, on 08 October 2013 - 02:00 AM, said:

wait what the hell, I run 2 servers, 1 on mac and one on windows. The one on windows work but the mac one doesnt....
Can anybody help?

check it from top to bottom you nkknow.. make sure youre running the proper version of java by checking which java version is running in mac and that minecraft starts up with it. u NEED java 7. make sure you have a proper minecraft server download factions AND mcore.
the earth first! we can strip mine the rest of the universe after. click the up arrow if i helped.
Be A part of a great server! connect with Theofficialmcserver.com

Posted Image